/*
THIS IS A GENERATED/BUNDLED FILE BY ESBUILD
if you want to view the source, please visit the github repository of this plugin
*/

var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __commonJS = (cb, mod) => function __require() {
  return mod || (0, cb[__getOwnPropNames(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target, mod));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// node_modules/obsidian-projects-types/lib/index.js
var require_lib = __commonJS({
  "node_modules/obsidian-projects-types/lib/index.js"(exports) {
    "use strict";
    var __awaiter = exports && exports.__awaiter || function(thisArg, _arguments, P, generator) {
      function adopt(value) {
        return value instanceof P ? value : new P(function(resolve) {
          resolve(value);
        });
      }
      return new (P || (P = Promise))(function(resolve, reject) {
        function fulfilled(value) {
          try {
            step(generator.next(value));
          } catch (e) {
            reject(e);
          }
        }
        function rejected(value) {
          try {
            step(generator["throw"](value));
          } catch (e) {
            reject(e);
          }
        }
        function step(result) {
          result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
        }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
      });
    };
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.ProjectViewV2 = exports.DataFieldType = void 0;
    var DataFieldType;
    (function(DataFieldType2) {
      DataFieldType2["String"] = "string";
      DataFieldType2["Number"] = "number";
      DataFieldType2["Boolean"] = "boolean";
      DataFieldType2["Date"] = "date";
      DataFieldType2["Link"] = "link";
      DataFieldType2["List"] = "list";
      DataFieldType2["Unknown"] = "unknown";
    })(DataFieldType = exports.DataFieldType || (exports.DataFieldType = {}));
    var ProjectViewV22 = class {
      onData(data) {
        return __awaiter(this, void 0, void 0, function* () {
        });
      }
      onOpen() {
        return __awaiter(this, void 0, void 0, function* () {
        });
      }
      onClose() {
        return __awaiter(this, void 0, void 0, function* () {
        });
      }
    };
    exports.ProjectViewV2 = ProjectViewV22;
  }
});

// main.ts
var main_exports = {};
__export(main_exports, {
  default: () => MyPlugin
});
module.exports = __toCommonJS(main_exports);
var import_obsidian = require("obsidian");
var import_obsidian_projects_types = __toESM(require_lib());
var MySampleView = class extends import_obsidian_projects_types.ProjectViewV2 {
  getViewType() {
    return "my-sample-view";
  }
  getDisplayName() {
    return "Sample view";
  }
  getIcon() {
    return "apple";
  }
  async onData(frame) {
    if (this.dataEl) {
      this.dataEl.empty();
      this.dataEl.createDiv({ text: JSON.stringify(frame.fields) });
      this.dataEl.createDiv({ text: JSON.stringify(frame.records) });
    }
  }
  async onOpen() {
    console.log("Opening ", this.getDisplayName());
    const contentEl = this.containerEl;
    contentEl.createEl("h1", { text: "My Sample View" });
    this.dataEl = contentEl.createEl("div");
  }
  async onClose() {
    console.log("Closing ", this.getDisplayName());
  }
};
var MyPlugin = class extends import_obsidian.Plugin {
  constructor() {
    super(...arguments);
    this.data = "hello";
    this.onRegisterProjectViewV2 = () => new MySampleView();
  }
  onload() {
    this.data = "bye";
  }
};
